Save This Page
Home » struts-2.0.11.2-src » org.apache » struts2 » dispatcher » multipart » [javadoc | source]
org.apache.struts2.dispatcher.multipart
public interface: MultiPartRequest [javadoc | source]

All Known Implementing Classes:
    JakartaMultiPartRequest

Abstract wrapper class HTTP requests to handle multi-part data.

Method from org.apache.struts2.dispatcher.multipart.MultiPartRequest Summary:
getContentType,   getErrors,   getFile,   getFileNames,   getFileParameterNames,   getFilesystemName,   getParameter,   getParameterNames,   getParameterValues,   parse
Method from org.apache.struts2.dispatcher.multipart.MultiPartRequest Detail:
 public String[] getContentType(String fieldName)
    Returns the content type(s) of the file(s) associated with the specified field name (as supplied by the client browser), or null if no files are associated with the given field name.
 public List getErrors()
    Returns a list of error messages that may have occurred while processing the request. If there are no errors, an empty list is returned. If the underlying implementation (ie: pell, cos, jakarta, etc) cannot support providing these errors, an empty list is also returned. This list of errors is repoted back to the MultiPartRequestWrapper 's errors field.
 public File[] getFile(String fieldName)
    Returns a java.io.File object for the filename specified or null if no files are associated with the given field name.
 public String[] getFileNames(String fieldName)
    Returns a String[] of file names for files associated with the specified input field name
 public Enumeration getFileParameterNames()
    Returns an enumeration of the parameter names for uploaded files
 public String[] getFilesystemName(String fieldName)
    Returns the file system name(s) of files associated with the given field name or null if no files are associated with the given field name.
 public String getParameter(String name)
    Returns the specified request parameter.
 public Enumeration getParameterNames()
    Returns an enumeration of String parameter names.
 public String[] getParameterValues(String name)
    Returns a list of all parameter values associated with a parameter name. If there is only one parameter value per name the resulting array will be of length 1.
 public  void parse(HttpServletRequest request,
    String saveDir) throws IOException